/**
 * main.cpp is part of bmsapp.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include <QApplication>
#include <QCommandLineParser>
//#include <QLocale>
//#include <QTranslator>

#include "config.h"


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    app.setApplicationName(
#ifdef QT_DEBUG
      "bmsapp-debug"
#else
      "bmsapp"
#endif
    );
    app.setApplicationVersion(VERSIONSTRING);

    return app.exec();
}
